[arch-commits] Commit in cfitsio/repos (staging-x86_64 staging-x86_64/PKGBUILD)
Antonio Rojas
arojas at archlinux.org
Wed May 22 15:13:29 UTC 2019
Date: Wednesday, May 22, 2019 @ 15:13:28
Author: arojas
Revision: 353837
archrelease: copy trunk to staging-x86_64
Added:
cfitsio/repos/staging-x86_64/
cfitsio/repos/staging-x86_64/PKGBUILD
(from rev 353836, cfitsio/trunk/PKGBUILD)
----------+
PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 45 insertions(+)
Copied: cfitsio/repos/staging-x86_64/PKGBUILD (from rev 353836, cfitsio/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2019-05-22 15:13:28 UTC (rev 353837)
@@ -0,0 +1,45 @@
+# Maintainer:
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.47
+pkgrel=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
+arch=(x86_64)
+url="https://heasarc.gsfc.nasa.gov/fitsio/"
+license=(custom)
+depends=(curl)
+source=("https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/$pkgname-$pkgver.tar.gz")
+sha256sums=('418516f10ee1e0f1b520926eeca6b77ce639bed88804c7c545e74f26b3edf4ef')
+
+prepare() {
+ cd $pkgname-$pkgver
+ sed -e 's|LDFLAGS=.*|LDFLAGS="$LDFLAGS"|g' -i configure.in # Fix LDFLAGS
+ autoreconf -vi
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr --enable-reentrant
+ make shared
+ make utils
+}
+
+check() {
+ cd $pkgname-$pkgver
+ LD_LIBRARY_PATH=. ./testprog > testprog.lis
+ [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+ [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+
+ install -D -m644 License.txt \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+# Fix conflicts with ccfits and smem
+ rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
+}
More information about the arch-commits
mailing list